PHP Manual
Prev |  | Next

# XMLWriter::startDocument

(no version information, might be only in CVS)

XMLWriter::startDocument -- Create document tag

## Description

Object oriented style:

class XMLWriter {
bool startDocument ( [string version [, string encoding [, string standalone]]] )
}

Procedural style:

bool xmlwriter_start_document ( resource xmlwriter [, string version [, string encoding [, string standalone]]] )

Starts a document.

## Parameters

`xmlwriter`

  Only for procedural calls. The XMLWriter resource that is being modified. This resource comes from a call to xmlwriter_open_uri() or xmlwriter_open_memory().

`version`

  The version number of the document as part of the XML declaration. Defaults to `1.0`.

`encoding`

  The encoding of the document as part of the XML declaration. `NULL` by default.

`standalone`

  `yes` or `no`. `NULL` by default.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## See Also

XMLWriter::endDocument

Prev | Home | Next
XMLWriter::startComment | Up | XMLWriter::startDTDAttlist